> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_secrets_create.md).

# iai secrets create

Create a secret in a project

## Synopsis

Create a secret in a specific project using the deployment service.

Secret data can be provided via: --data KEY=VALUE (can be repeated) --from-env-file FILE (KEY=VALUE pairs, one per line)

When both are provided, --data values take precedence.

```
iai secrets create [secret_name] [flags]
```

## Examples

```
  iai secrets create my-secret -d API_KEY=abc123
  iai secrets create my-secret -d API_KEY=abc123 -d DB_PASS=secret
  iai secrets create my-secret --from-env-file .env
  iai secrets create my-secret --from-env-file .env -d API_KEY=override -p my-project
```

## Options

```
  -d, --data stringArray       Secret data in KEY=VALUE form (repeatable)
      --from-env-file string   Path to env file with KEY=VALUE pairs (one per line)
  -h, --help                   help for create
  -o, --organization string    Organization name that owns the project
  -p, --project string         Project name that owns the secrets
  -s, --secret-name string     Name of the secret
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai secrets](/cli/iai_secrets.md) - Encrypted key-value pairs for services and agents


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_secrets_create.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
